PHP Manual
Prev |  | Next

# xdiff_file_merge3

(PECL)

xdiff_file_merge3 -- Merge 3 files into one

## Description

mixed xdiff_file_merge3 ( string file1, string file2, string file3, string dest )

Merges three files into one and stores the result in a file.

## Parameters

`file1`

`file2`

`file3`

`dest`

  Path of the resulting file.

## Return Values

Returns `TRUE` if merge was successful, string with rejected chunks if it was not or `FALSE` if an internal error happened.

## Examples

Example 1. xdiff_file_merge3() example

The following code merges three files into one.

`<?php $old_version = 'original_script.php'; $fix1 = 'script_with_fix1.php'; $fix2 = 'script_with_fix2.php'; $errors = xdiff_file_merge3($old_version, $fix1, $fix2, 'fixed_script.php'); if (is_string($errors)) { echo "Rejects:\n"; echo $errors; } ?>`

## See Also

xdiff_string_merge3()

Prev | Home | Next
xdiff_file_diff | Up | xdiff_file_patch_binary